package com.ruoyi.model.mapper;

import java.util.List;
import com.ruoyi.model.domain.WithdrawalConfig;

/**
 * 钱包提现配置Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public interface WithdrawalConfigMapper 
{
    /**
     * 查询钱包提现配置
     * 
     * @param id 钱包提现配置主键
     * @return 钱包提现配置
     */
    public WithdrawalConfig selectWithdrawalConfigById(Long id);

    /**
     * 查询钱包提现配置列表
     * 
     * @param withdrawalConfig 钱包提现配置
     * @return 钱包提现配置集合
     */
    public List<WithdrawalConfig> selectWithdrawalConfigList(WithdrawalConfig withdrawalConfig);

    /**
     * 新增钱包提现配置
     * 
     * @param withdrawalConfig 钱包提现配置
     * @return 结果
     */
    public int insertWithdrawalConfig(WithdrawalConfig withdrawalConfig);

    /**
     * 修改钱包提现配置
     * 
     * @param withdrawalConfig 钱包提现配置
     * @return 结果
     */
    public int updateWithdrawalConfig(WithdrawalConfig withdrawalConfig);

    /**
     * 删除钱包提现配置
     * 
     * @param id 钱包提现配置主键
     * @return 结果
     */
    public int deleteWithdrawalConfigById(Long id);

    /**
     * 批量删除钱包提现配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWithdrawalConfigByIds(Long[] ids);

    /**
     * 查询钱包提现配置列表
     *
     * @return 钱包提现配置集合
     */
    public List<WithdrawalConfig> getWithdrawalConfigList();
}
